Security Enhanced Linux Reference Policy

# Layer: services

## Module: sanlock

Tunables Interfaces

### Description:

shared storage lock manager.

### Tunables:

sanlock_use_nfs

##### Default value

false

##### Description

Determine whether sanlock can use nfs file systems.

sanlock_use_samba

##### Default value

false

##### Description

Determine whether sanlock can use cifs file systems.

Return

### Interfaces:

sanlock_admin( domain , role )

##### Summary

All of the rules required to administrate an sanlock environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

sanlock_domtrans( domain )

##### Summary

Execute a domain transition to run sanlock.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sanlock_initrc_domtrans( domain )

##### Summary

Execute sanlock init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

sanlock_manage_pid_files( domain )

##### Summary

Create, read, write, and delete sanlock pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sanlock_stream_connect( domain )

##### Summary

Connect to sanlock with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return